$toolbar-height: 110px;
$responsive-threshold: 900px;
$rearranging-width: 1000px;

:host {
  margin-top: $toolbar-height;
  @media(max-width: $responsive-threshold) {
    margin-top: $toolbar-height + 30px;
  }
}

:host > app-toolbar {
  height: $toolbar-height;
  padding: 0;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 10;
  transition: var(--shadow-transition_-_transition);

  &.shadow {
    box-shadow: var(--shadow-elevation-2dp_-_box-shadow);
  }
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  @media(max-width: $responsive-threshold) {
    flex-direction: column;
    height: auto;
    align-items: initial;
  }

  section[top-item] {
    display: flex;
    flex-direction: row;
    align-items: center;
    vertical-align: top;
    background-color: var(--paper-blue-600);
    height: 30px;
    padding-left: 8px;

    @apply --layout-justified;

    .navItem {
      display: flex;
      flex-direction: row;
      @apply --layout-self-center;
      padding: 0;
      margin: 0;
      border: 1px;
    }

    .connection {
      margin: 0;
      padding:0;
      display: flex;
      flex-direction: row;
      @apply --layout-self-center;
    }

    p {
      margin: 0;
      font-size: .8em;
      display: flex;
      align-items: center;
      span {
        padding: 0 .5em;
      }
    }
    @keyframes spin {
      100% {
        transform: rotate(-360deg);
      }
    }

    iron-icon[slow-rotation] {
      will-change: transform;
      // animation: spin 30s linear infinite;
    }
  }

  [flex] {
    flex: 1;
  }

  [banner] {
    display: flex;
    flex: 1;
    flex-direction: column;
    justify-content: center;


    @media(max-width: $responsive-threshold) {
      flex-direction: row;
      justify-content: flex-end;
      padding-right: 2em;
    }

    &[left] {
      align-items: flex-end;
      @media(max-width: $responsive-threshold) {
        align-items: right;
        text-align: right;
        margin-right: 1.5em;
      }
    }

    &[right] {
      @media(max-width: $responsive-threshold) {
        align-items: right;
        text-align: right;
        margin: 0 1.5em 0.5em;
      }
    }

    p {
      margin: 0;
      &[title] {
        font-size: 0.8em;
        opacity: var(--secondary-text-opacity);
      }
      &[threshold="1"] {
        color: #ff0000;
      }
    }

    [horizontal] {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      &[left] {
        justify-content: flex-end;
        @media (max-width: $rearranging-width) and (min-width: $responsive-threshold) {
          div:first-child {
            width: 100%;
          }
        }
      }
      &[right] {
        @media(max-width: $rearranging-width) and (min-width: $responsive-threshold) {
          div:first-child {
            width: 100%;
          }
        }
      }

    }
    [flexitem]{
      padding: 8px;
    }
  }

  [second-row] {
    margin-top: 38px;
    @media(max-width: $rearranging-width) {
      margin-top: 48px;
    }
  }

  big-status-icon {
    height: $toolbar-height - 30px;
    margin: 2em 1em 0 1em;
    @media(max-width: $responsive-threshold) {
      height: 40px;
      position: absolute;
      right: 0;
      margin: 0.5em;
    }
  }

  paper-icon-button {
    --paper-icon-button-ink-color: var(--primary-text-color-inverted);
  }
  iron-icon {
    color: var(--primary-text-color-inverted);
    padding: 0px;
    padding-right:2px;
  }

  paper-icon-item {
    padding: 0px;
    padding-top:2px;
    --paper-item-icon: {padding: 1px;};
    --paper-icon-item: {padding: 1px;};
  }

  paper-button {
    font-size: .8em;
    &[raised] {
      margin-bottom: 0;
      margin-left: 0;
    }
  }

  paper-progress {
    width: 100%;
    --paper-progress-container-color: var(--primary-color);
    --paper-progress-active-color: var(--accent-color);
  }

  h3 {
    padding: 0px;
    padding-top: 2px;
  }

  p[error] {
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    background: var(--error-color);
    color: white;
    border-radius: 5px;
    border: 1px solid white;

    &[hide] {
      display: none !important;
    }

    iron-icon {
      color: white;
      padding: 0;
      height: 30px;
      width: 30px;
    }
  }
}
